<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.0/css/bootstrap.min.css" integrity="sha384-9gVQ4dYFwwWSjIDZnLEWnxCjeSWFphJiwGPXr1jddIhOegiu1FwO5qRGvFXOdJZ4"
        crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.3.1.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.0/umd/popper.min.js" integrity="sha384-cs/chFZiN24E4KMATLdqdvsezGxaGsi4hLGOzlXwp5UZB1LY//20VyM2taTB4QvJ"
        crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.0/js/bootstrap.min.js" integrity="sha384-uefMccjFJAIv6A+rW+L4AHf99KvxDjWSu1z9VI8SKNVmz4sk7buKt/6v9KI65qnm"
        crossorigin="anonymous"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
</head>
<style>
    .container {
        margin-top: 20px;
    }

    #ResultAmount {
        text-align: center;
        margin-top: 20px;
        color: red;
        font-weight: bold;
    }

    .row,
    .form-control {
        margin: 5px 0px 5px 0px;
    }
</style>
<script>
    $(function () {
        $('#btnConvert').click(function () {
            $("#from").change(function () {
                DDFrom = $(this).val();
                if (DDFrom == 'EUR') {
                    $("#to").val('THB');
                } else if (DDFrom == 'THB') {
                    $("#to").val('EUR');
                }
            });

            $("#to").change(function () {
                DDTo = $(this).val();
                if (DDTo == 'THB') {
                    $("#from").val('EUR');
                } else if (DDTo == 'EUR') {
                    $("#from").val('THB');
                }
            });

            let to = $("#to").val();
            let from = $("#from").val();
            let currencys = from + '_' + to;
            console.log(currencys);
            let urls = 'http://free.currencyconverterapi.com/api/v5/convert?q=' + currencys +
                '&compact=y';
            console.log(urls);
            $.get(urls).then(function (res) {
                let Unit = res[currencys].val;
                let amonth = $('#amount').val()
                let result = amonth * Unit;
                $('#ResultAmount').text(result.toFixed(4));
            });
        });
    });
</script>

<body>
    <div class="container">
        <div class="row">
            <div class="col-sm-4">
                <input class="form-control" id="amount">
                <p id="ResultAmount"></p>
            </div>
            <div class="col-sm-2">
                <select class="form-control" id="from">
                    <option value="EUR">EUR</option>
                    <option value="THB">THB</option>
                </select>
                <select class="form-control" id="to">
                    <option value="THB">THB</option>
                    <option value="EUR">EUR</option>
                </select>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-6" style="text-align:center;">
                <button type="button" id="btnConvert" class="btn btn-secondary">Convert</button>
            </div>
        </div>
    </div>
</body>

</html>